TEMPLATE = app
TARGET = compare
CONFIG -= qt
QT = 
PROJECT_DEFINES = \
    cimg_display_type=0

HEADERS += \
    imageio.h \
    CImg.h

SOURCES += \
    imageio.cpp \
    compare.cpp

INCLUDEPATH += ./ \
        ../../FLTK \
        ../../FLTK/png \
        ../../FLTK/zlib \
        ../../FLTK/jpeg


win32 { 


    LIBPATH += ../../FLTK/lib
    LIBS = \
        -lfltk \
        -lfltkgl \
        -lfltkjpeg \
        -lfltkpng \
        -lfltkz \
        Comctl32.lib \
        wsock32.lib \
        kernel32.lib \
        user32.lib \
        gdi32.lib \
        comdlg32.lib \
        shell32.lib \
        ole32.lib \
        oleaut32.lib
    
    # set DEFINES = to get rid of UNICODE
    DEFINES = _CRT_SECURE_NO_WARNINGS \
        WIN32 \
        $$PROJECT_DEFINES
    QMAKE_CXXFLAGS = -Oi \
        -EHsc \
        -nologo \
        -Zm200
    QMAKE_CFLAGS = -nologo \
        -Zm200
}
mac { 

    CONFIG += x86
    DEFINES += $$PROJECT_DEFINES
    LIBS += -L../../FLTK/lib \
        -lfltk \
        -lfltk_gl \
        -lfltk_jpeg \
        -lfltk_png \
        -lfltk_images \
        -lfltk_z \

    QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.5
}
linux-g++ { 
    INCLUDEPATH += ../FLTK/include/FL/images \
        src/fileio/"file dialog" \
        ../glew/include
    DEFINES += __LINUX__ \
        $$PROJECT_DEFINES
    LIBS += -L../FLTK/lib \
        -lfltk_images \
        -lfltk \
        -lfltk_gl \
        -lfltk_jpeg \
        -lfltk_png \
        -lfltk_forms \
        -lfltk_z \
        -lXext \
        -ldl \
        -lX11 \
        -lm \
        -lGL \
        -lGLU \
        -L../glew \
        -lglews
}
